/********************************** (C) COPYRIGHT *******************************
* File Name          : CH392CMD.H
* Author             : WCH
* Version            : V1.0
* Date               : 2020/02/19
* Description        : CH392оƬӿļ,ӳⲿ
*******************************************************************************/
#ifndef __CH392CMD_H__
#define __CH392CMD_H__
#include "sys.h"

void CH392CMDReset(void);                                            /* λ */

void CH392CMDSleep(void);                                            /* ˯ */

UINT8 CH392CMDGetVer(void);                                          /* ȡоƬ̼汾 */

UINT8 CH392CMDCheckExist(UINT8 testdata);                            /*  */

void CH392CMDSetPHY(UINT8 phystat);                                  /* PHY״̬  */

UINT8 CH392CMDGetPHYStatus(void);                                    /* ȡPHY״̬ */

UINT8 CH392CMDGetGlobIntStatus(void);                                /* ȡCH392ȫж״̬ */

UINT8 CH392CMDInitCH392(void);                                       /* ʼCH392 */

void CH392CMDSetUartBaudRate(UINT32 baudrate);                       /* ò */

UINT8 CH392GetCmdStatus(void);                                       /* ȡִ״̬ */

void CH392CMDSetIPAddr(UINT8 *ipaddr);                               /* CH392IPַ */

void CH392CMDSetGWIPAddr(UINT8 *gwipaddr);                           /* CH392IPַ */

void CH392CMDSetMASKAddr(UINT8 *maskaddr);                           /*  */

void CH392CMDSetMACAddr(UINT8 *amcaddr);                             /* CH392MACַ */

void CH392CMDGetMACAddr(UINT8 *amcaddr);                             /* ȡMACַ */

void CH392CMDSetMACFilt(UINT8 filtype,UINT32 table0,UINT32 table1);  /* CH392MAC */

void CH392CMDGetUnreachIPPT(UINT8 *list);                            /* ȡɴַԼ˿ */

void CH392CMDGetRemoteIPP(UINT8 sockindex,UINT8 *list);              /* ȡԶIPͶ˿ڣһTCP Serverʹ */

void CH392SetSocketDesIP(UINT8 sockindex,UINT8 *ipaddr);             /* scoket nĿIPַ */

void CH392SetSocketProtType(UINT8 sockindex,UINT8 prottype);         /* socket nЭ */

void CH392SetSocketDesPort(UINT8 sockindex,UINT16 desprot);          /* socket nĿĶ˿ */

void CH392SetSocketSourPort(UINT8 sockindex,UINT16 surprot);         /* socket nԴ˿ */

void CH392SetSocketIPRAWProto(UINT8 sockindex,UINT8 prototype);      /* IPRAWģʽ£socket nIPЭֶ */

void CH392SetRecvThresLen(UINT8 sockindex,UINT16 len);               /* socket nĽжϷֵ */

void CH392SendData(UINT8 sockindex,UINT8 *databuf,UINT16 len);       /* socket nķͻд */

UINT16 CH392GetRecvLength(UINT8 sockindex);                          /* ȡsocket nĽճ */

void CH392ClearRecvBuf(UINT8 sockindex);                             /* socket nĽջ */

void CH392GetRecvData(UINT8 sockindex,UINT16 len,UINT8 *pbuf);       /* ȡ */

void CH392CMDSetRetryCount(UINT8 count);                             /* Դ */

void CH392CMDSetRetryPeriod(UINT16 period);                          /*  λ */

void CH392CMDGetSocketStatus(UINT8 sockindex,UINT8 *status) ;        /* ȡsocket n״̬ */

UINT8  CH392OpenSocket(UINT8 sockindex);                             /* socket n*/

UINT8  CH392CloseSocket(UINT8 sockindex);                             /* رsocket n*/

UINT8 CH392TCPConnect(UINT8 sockindex);                               /* TCP */

UINT8 CH392TCPListen(UINT8 sockindex);                                /* TCP */

UINT8 CH392TCPDisconnect(UINT8 sockindex);                            /* TCPϿ */

UINT8 CH392GetSocketInt(UINT8 sockindex);                            /* ȡsocket nж״̬ */
                                                                     
UINT8 CH392CRCRet6Bit(UINT8 *mac_addr);                              /* ಥַCRC32HASH */
                                                                     /*Function Count = 36 */
void CH392GetIPInf(UINT8 *addr);

UINT8  CH392DHCPEnable(UINT8 flag);

void CH392WriteGPIOAddr(UINT8 regadd,UINT8 regval);

UINT8 CH392ReadGPIOAddr(UINT8 regadd);

UINT8 CH392EEPROMErase(void);

UINT8 CH392EEPROMWrite(UINT16 eepaddr,UINT8 *buf,UINT8 len);

void CH392EEPROMRead(UINT16 eepaddr,UINT8 *buf,UINT8 len);

void CH392SetTCPMss(UINT16 tcpmss);

void CH392SetSocketRecvBuf(UINT8 sockindex,UINT8 startblk,UINT8 blknum);

void CH392SetSocketSendBuf(UINT8 sockindex,UINT8 startblk,UINT8 blknum);

void CH392UDPSendTo(UINT8 *buf,UINT32 len,UINT8 *ip,UINT16 port,UINT8 sockindex);

void CH392SetStartPara(UINT32 mdata);

UINT8 CH392CMDGetGlobIntStatus_ALL(void);

void CH392SetKeepLive(UINT8 sockindex,UINT8 cmd);                                 /* keepalive ʹ */

void CH392KeepLiveCNT(UINT8 cnt);                                                /* keepalive  */

void CH392KeepLiveIDLE(UINT32 idle);                                             /* keepalive  */

void CH392KeepLiveINTVL(UINT32 intvl);                                           /* keepalive  */

void CH392SetTTLNum(UINT8 sockindex,UINT8 TTLnum);                               /* TTL */
 
void CH392EnablePing(UINT8 enable);                                              /* PING ʹ */


#endif
/**************************** endfile *************************************/
